# -*- rpm-spec -*-

%define base_version		1.0.6
%define api_version		1.0

Summary: 	OpenGL Extension to GTK
Name: 		gtkglext
Version: 	%{base_version}
Epoch: 		0
Release: 	0.fdr.1.2
License: 	LGPL
Group: 		System Environment/Libraries
URL: 		http://gtkglext.sourceforge.net/
Source0: 	ftp://dl.sourceforge.net/pub/sourceforge/gtkglext/gtkglext-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: gtk2-devel
BuildRequires: Mesa, libGL.so.1, libGLU.so.1

Requires(postun): /sbin/ldconfig
Requires(post):	/sbin/ldconfig

# Work around to the broken libtool being used
BuildRequires: gcc-c++

%description
GtkGLExt is an OpenGL extension to GTK. It provides the GDK objects
which support OpenGL rendering in GTK, and GtkWidget API add-ons to
make GTK+ widgets OpenGL-capable.

%package devel
Summary: Development tools for GTK-based OpenGL applications
Group: Development/Libraries

Requires: %{name} = %{epoch}:%{version}
Requires: gtk2-devel

%description devel
The gtkglext-devel package contains the header files, static libraries,
and developer docs for GtkGLExt.

%prep
%setup -q -n gtkglext-%{version}

%build
%configure --disable-gtk-doc
make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-,root,root,-)

%doc AUTHORS COPYING COPYING.LIB ChangeLog README TODO
%{_libdir}/libgdkglext-x11-%{api_version}.so.*
%{_libdir}/libgtkglext-x11-%{api_version}.so.*

%files devel
%defattr(-,root,root,-)

%{_includedir}/*
%{_libdir}/gtkglext-%{api_version}
%{_libdir}/lib*.so
%{_libdir}/lib*.a
%{_libdir}/lib*.la
%{_libdir}/pkgconfig/*
%{_datadir}/aclocal/*
%doc %{_datadir}/gtk-doc/html/*

%changelog
* Fri Jun 07 2004 Ralf Corsepius <ralf@links2linux.de> - 1.0.6-0.fdr.1
- Spec cleanups.

* Fri Jun 04 2004 Ralf Corsepius <ralf@links2linux.de> - 1.0.6-0.fdr.0
- Initial fedora rpm spec, loosely derived from the version shipped
  with gtkglext.
